*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
	text-decoration: none;

    font-family: 'Roboto', sans-serif;
}

:root {
    --theme-color: "";

    /* --mode-color: #000;
    --mode-background-color: #fff; */

    /* --mode-color: #fff;
    --mode-background-color: #101010f0; */
}




.edit-box-container {
    width: 100%;
    height: 100vh;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    z-index: 100;

    display: none;

    background-color: #000000c9;
}

.edit-box-container .edit-box{
    width: 50%;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    padding: 20px 20px;

    /* color: var(--mode-color);
    background-color: var(--mode-background-color); */

    color: #000;
    background-color: #fff;

    border-radius: 10px;

    z-index: 100;
    
}
.edit-box-container .edit-box .edit-box-close-icon{
    position: absolute;
    top: 22px;
    right: 20px;

    font-size: 22px;
    transition: color .5s ease-out;
}

.edit-box-container .edit-box .edit-box-close-icon:hover{
    cursor: pointer;    
    color: red;
}


.edit-box-container .edit-box .edit-box-heading{
    font-size: 24px;
}


.edit-box-container .edit-box .edit-box-message{
    
    margin-top: 30px;
}


.edit-box-container .edit-box .edit-box-input{
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    margin-top: 20px;
}

.edit-box-container .edit-box .edit-box-input p{
    width: 20%;

    font-size: 12px;
    font-weight: 600;

    color: #727272;
}

.edit-box-container .edit-box .edit-box-input input{
    width: 70%;
    /* padding: 8px 10px; */

    /* padding-left: 0px; */

    outline: none;
    border: none;
    border-bottom: 1px solid #727272;

    padding: 10px 7px;
    background-color: transparent;
    color: #7a7a7a;
    border-radius: 5px;
}







.edit-box-container .edit-box .edit-box-select{
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    margin-top: 20px;
}

.edit-box-container .edit-box .edit-box-select p{
    width: 20%;

    font-size: 12px;
    font-weight: 600;

    color: #727272;
}

.edit-box-container .edit-box .edit-box-select select{
    width: 70%;
    /* padding: 8px 10px; */

    /* padding-left: 0px; */

    outline: none;
    border: none;
    border-bottom: 1px solid #727272;

    padding: 10px 7px;
    background-color: transparent;
    color: #7a7a7a;
    border-radius: 5px;
}













.edit-box-container .edit-box .edit-box-textarea{
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    margin-top: 20px;
}

.edit-box-container .edit-box .edit-box-textarea p{
    width: 20%;

    font-size: 12px;
    font-weight: 600;

    color: #727272;
}

.edit-box-container .edit-box .edit-box-textarea textarea{
    width: 70%;
    /* padding: 8px 10px; */

    /* padding-left: 0px; */

    outline: none;
    border: none;
    border-bottom: 1px solid #727272;

    padding: 10px 7px;
    background-color: transparent;
    color: #7a7a7a;
    border-radius: 5px;
}














.edit-box-container .edit-box .edit-box-btn{
    min-width: 70px;
    min-height: 35px;

    margin-top: 50px;

    border: none;

    padding: 10px 15px;

    border-radius: 4px;
    background-color: var(--theme-color);
    color: #fff;
    
    transition: box-shadow 0.5s ease-in-out, text-shadow 0.5s ease-in-out, transform 0.5s ease-in-out;
}

.edit-box-container .edit-box .edit-box-btn:hover{
    cursor: pointer;
    
    transform: scale(1.1);
    box-shadow: 0px 0px 5px 1px #989898;
    text-shadow: 5px 15px 14px #000000;
}




.edit-box-container .edit-box .edit-box-anchor{
    margin-top: 50px;
}

.edit-box-container .edit-box .edit-box-anchor a{
    /* margin-top: 50px; */

    min-width: 70px;
    min-height: 35px;
    
    border: none;

    padding: 10px 15px;

    border-radius: 4px;
    background-color: var(--theme-color);
    color: #fff;

    text-decoration: none;

    transition: box-shadow 0.5s ease-in-out, text-shadow 0.5s ease-in-out, transform 0.5s ease-in-out;
}

.edit-box-container .edit-box .edit-box-anchor a:hover{
    cursor: pointer;
    
    transform: scale(1.1);
    box-shadow: 0px 0px 5px 1px #989898;
    text-shadow: 5px 15px 14px #000000;
}


#edit-box-loading{
    /* display: none; */

    opacity: 0;
    
    width: 25px; 
    height: 25px; 

    position: absolute; 
    bottom: 15px;
    right: 10px;

    transition: opacity .5s ease-in-out;
}


@media (max-width: 950px) {
    .edit-box-container .edit-box{
        width: 90%;
    }

    .edit-box-container .edit-box .edit-box-input p{
        width: 30%;
    }
    
    .edit-box-container .edit-box .edit-box-input input{
        width: 70%;
    }
}